diff --git a/CMakeLists.txt b/CMakeLists.txt
index b973a3f..9a39fcb 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -83,6 +83,8 @@ option(ENABLE_CUBEB "Enabled cubeb backend" ON)
 
 option(ENABLE_WXWIDGETS "Build with wxWidgets UI (Currently required)" ON)
 
+find_package(PkgConfig REQUIRED)
+
 set(THREADS_PREFER_PTHREAD_FLAG true)
 find_package(Threads REQUIRED)
 find_package(SDL2 REQUIRED)
@@ -95,9 +97,11 @@ find_package(glslang REQUIRED)
 find_package(ZLIB REQUIRED)
 find_package(zstd MODULE REQUIRED) # MODULE so that zstd::zstd is available
 find_package(OpenSSL COMPONENTS Crypto SSL REQUIRED)
-find_package(glm REQUIRED)
+pkg_check_modules(glm REQUIRED glm IMPORTED_TARGET)
+add_library(glm::glm ALIAS PkgConfig::glm)
 find_package(fmt 9.1.0 REQUIRED)
 find_package(PNG REQUIRED)
+pkg_check_modules(EGL REQUIRED egl IMPORTED_TARGET GLOBAL)
 
 # glslang versions older than 11.11.0 define targets without a namespace
 if (NOT TARGET glslang::SPIRV AND TARGET SPIRV)
